class_name MenuButtonOpener
extends Button

@export var open_menu: MenuBase
@export var previous_menu: MenuBase


func _pressed() -> void:
	if is_instance_valid(open_menu):
		open_menu.open_menu(previous_menu)
